Bug 137205 - EDITING Autofill of merged cells with date content incorrect, series detection does not work
Summary: EDITING Autofill of merged cells with date content incorrect, series detectio...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: AutoFill
  Show dependency treegraph
 
Reported: 2020-10-02 08:16 UTC by NISZ LibreOffice Team
Modified: 2020-11-17 09:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Calc (14.78 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-10-02 08:16 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc (53.11 KB, image/png)
2020-10-02 08:17 UTC, NISZ LibreOffice Team
Details
Example file from Excel, with merged cells autofilled working as expected (9.57 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-10-02 08:17 UTC, NISZ LibreOffice Team
Details
Screenshot of the xlsx file in Excel (53.16 KB, image/png)
2020-10-02 08:18 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-10-02 08:16:48 UTC
Created attachment 166025 [details]
Example file from Calc

incorrect compared to non-merged cell results.

Steps to reproduce:
    1. Open attached file
    2. In A2:B2 there are dates with 1 day difference. Selecting these and autofilling to the right gives dates with 1 day difference too.
    3. In A7:B7 the same dates are in merged cells. Selecting these and autofilling to the right now creates merged cells but the dates are incremented separately and not as a series.
    4. In A3:B3 there are dates with 1 month difference, and the same dates in A8:B8 in merged cells. Autofilling to the right increases the month number in row 3 but the day number in row 8.
    5. In A4:B4 there are dates with -1 year difference and the same dates in the A9:B9 in merged cells. Autofilling to the right decreases the year number in row 4 but increases the day number in row 8.

Actual results:
As above.

Expected results:
Series detection should work in merged cells, giving the same results as with non-merged cells. Cell range E10:L13 illustrates this. 
Excel also gives the same results as in the non-merged case.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: dda71436b8594fb0669b3ac06c02a3997a0674be
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-10-02 08:17:09 UTC
Created attachment 166026 [details]
Screenshot of the problem in Calc
Comment 2 NISZ LibreOffice Team 2020-10-02 08:17:37 UTC
Created attachment 166027 [details]
Example file from Excel, with merged cells autofilled working as expected
Comment 3 NISZ LibreOffice Team 2020-10-02 08:18:02 UTC
Created attachment 166028 [details]
Screenshot of the xlsx file in Excel
Comment 4 Commit Notification 2020-10-09 06:38:59 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/60848fe54e2792a99970f8b48f6b9c02837b407e

tdf#137205 sc: autofill date sequences in merged cells

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2020-11-17 09:38:25 UTC
Verified in:

Version: 7.1.0.0.alpha1+ (x64)
Build ID: 72056f39e01e36afac36c62988331b6813c8214f
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks for fixing!